version: '3'
services:
  db:
    image: postgres:13
    volumes:
      - './db:/var/lib/postgresql/data'
    ports:
      - '5432:5432'
    environment:
      POSTGRES_USER: farm
      POSTGRES_PASSWORD: farm
      POSTGRES_DB: farm

  www:
    depends_on:
      - db
    image: farmos/farmos:3.x-dev
    volumes:
      - './www:/opt/drupal'
    ports:
      - '80:80'
    environment:
      XDEBUG_MODE: debug
      XDEBUG_CONFIG: discover_client_host=yes
      # Enable this for PHPStorm:
      #XDEBUG_SESSION: PHPSTORM
      #PHP_IDE_CONFIG: serverName=localhost

  # Enable this service when executing javascript tests.
#  chrome:

      # Tests are failing on later versions of this image.
      # See https://github.com/farmOS/farmOS/issues/514
#      image: selenium/standalone-chrome:4.1.2-20220217
